/**
 * Independent time operation tool to facilitate subsequent switch to dayjs
 */
export function timestampToTime(timestamp: number | null): string {
  timestamp = timestamp ? timestamp : null;
  let date = new Date(timestamp!); // 时间戳为10位需*1000，时间戳为13位的话不需乘1000
  let Y = date.getFullYear() + '-';
  let M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '-';
  let D = (date.getDate() < 10 ? '0' + date.getDate() : date.getDate());
  // let h = (date.getHours() < 10 ? '0' + date.getHours() : date.getHours()) + ':';
  // let m = (date.getMinutes() < 10 ? '0' + date.getMinutes() : date.getMinutes()) + ':';
  // let s = date.getSeconds() < 10 ? '0' + date.getSeconds() : date.getSeconds();
  return Y + M + D;
}
export function timestampToDateTime(timestamp: number | null): string {
  timestamp = timestamp ? timestamp : null;
  let date = new Date(timestamp!); // 时间戳为10位需*1000，时间戳为13位的话不需乘1000
  let Y = date.getFullYear() + '-';
  let M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '-';
  let D = (date.getDate() < 10 ? '0' + date.getDate() : date.getDate());
  let h = (date.getHours() < 10 ? '0' + date.getHours() : date.getHours()) + ':';
  let m = (date.getMinutes() < 10 ? '0' + date.getMinutes() : date.getMinutes()) + ':';
  let s = date.getSeconds() < 10 ? '0' + date.getSeconds() : date.getSeconds();
  return Y + M + D +' '+ h + m + s;
}
export function getCurrentDate(){
  let result = '';
  let now = new Date();
  let year = now.getFullYear();
  let month = now.getMonth() + 1;

  result+=year;
  if(month<10){result += '-0'+month}
  else  result += '-'+month;
  let day = now.getDate();
  if(day<10)result += '-0'+day;
  else result += '-'+day;
  return result;
}